Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.binding
Class ProviderMethodBinding

    java.lang.Object
      com.google.gwt.inject.rebind.binding.ProviderMethodBinding

All Implemented Interfaces:
  Binding

    public class ProviderMethodBinding

extends java.lang.Object
implements Binding

A binding that calls a provider method. This binding depends on the `GinModule`'s key, meaning that it will cause the module itself to be instantiated at runtime so it can call the provider method.

Constructor Summary
`ProviderMethodBinding(KeyUtil keyUtil, SourceWriteUtil sourceWriteUtil, com.google.gwt.core.ext.TreeLogger logger)`

Method Summary
`RequiredKeys` | `getRequiredKeys()`
`void` | `setProviderMethod(com.google.inject.internal.ProviderMethod providerMethod)`
`void` | `writeCreatorMethods(com.google.gwt.user.rebind.SourceWriter writer, java.lang.String creatorMethodSignature)` Writes the method necessary to create the binding's type to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderMethodBinding

    @Inject
    public ProviderMethodBinding(KeyUtil keyUtil,
                                        SourceWriteUtil sourceWriteUtil,
                                        com.google.gwt.core.ext.TreeLogger logger)

Method Detail

### setProviderMethod

    public void setProviderMethod(com.google.inject.internal.ProviderMethod providerMethod)
                           throws com.google.gwt.core.ext.UnableToCompleteException

  Throws:
    `com.google.gwt.core.ext.UnableToCompleteException`

### writeCreatorMethods

    public void writeCreatorMethods(com.google.gwt.user.rebind.SourceWriter writer,
                                    java.lang.String creatorMethodSignature)

  Description copied from interface: `Binding`
  Writes the method necessary to create the binding's type to the writer. A method with the `creatorMethodSignature` must be written, other methods are optional.

  Specified by:
    `writeCreatorMethods` in interface `Binding`
  Parameters:
    `writer` - writer that methods are written to
    `creatorMethodSignature` - signature of method that needs to be created

### getRequiredKeys

    public RequiredKeys getRequiredKeys()

  Specified by:
    `getRequiredKeys` in interface `Binding`
  Returns:
    A tuple of two sets: One set of keys that this binding requires. This set is used to find more classes that need to be bound. The second set contains all keys that have been optionally requested.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD